Get Applicable Misconfiguration Remediation

Retrieve applicable misconfiguration remediation patches for one or more devices.

This method allows you to list all the misconfiguration patches by group, hostname, or a family for an account.

KeyMeaningMandatoryData Type
accountidName/identifier of the account for which misconfiguration remediation patches should be retrieved.Yesstring
deviceName of the device/hostname for which applicable remediation patches should be listed.Yesarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Compliance.getApplicableMisconfigurationRemediation(
  accountid="Default",
  device=["device 1","device 2"]
  )

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json